Bug 484301 - uniconvertor breaks Python's module listing procedure
uniconvertor breaks Python's module listing procedure
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: uniconvertor (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Andy Shevchenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 17:42 EST by Matteo Castellini
Modified: 2009-03-20 14:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.3-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 14:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (2.67 KB, patch)
2009-02-11 12:34 EST, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Matteo Castellini 2009-02-05 17:42:21 EST
Description of problem:
In systems where uniconvertor is installed it gets in the way of Python's module listing procedure and closes the interpreter.


Version-Release number of selected component (if applicable):
uniconvertor-1.1.3-2.fc10.i386


How reproducible:
Always when uniconvertor is installed


Steps to Reproduce:
1. $ python
2. >>> help()
3. help> modules

  
Actual results:
Please wait a moment while I gather a list of all available modules...

Using these definitions:
GETTEXT_PACKAGE: timer-applet
LOCALE_DIR: /usr/share/locale
RESOURCES_DIR: /usr/share/timer-applet
IMAGES_DIR: /usr/share/pixmaps

UniConvertor 1.1.3

USAGE: uniconvertor [INPUT FILE] [OUTPUT FILE]

Converts one vector graphics format to another using sK1 engine.
sK1 Team (http://sk1project.org), copyright (C) 2007,2008 by Igor E. Novikov

 Allowed input formats:
     AI  - Adobe Illustrator files (postscript based)
     CDR - CorelDRAW Graphics files (7-X3,X4 versions)
     CDT - CorelDRAW templates files (7-X3,X4 versions)
     CCX - Corel Compressed Exchange files
     CMX - Corel Presentation Exchange files (CMX1 format)
     SVG - Scalable Vector Graphics files
     FIG - XFig files
     CGM - Computer Graphics Metafile files
     AFF - Draw files
     WMF - Windows Metafile files
     SK  - Sketch/Skencil files
     SK1 - sK1 vector graphics files

 Allowed output formats:
     AI  - Adobe Illustrator files (postscript based)
     SVG - Scalable Vector Graphics files
     CGM - Computer Graphics Metafile files
     WMF - Windows Metafile files
     SK  - Sketch/Skencil files
     SK1 - sK1 vector graphics files
     PDF - Portable Document Format
     PS  - PostScript

Example: uniconvertor drawing.cdr drawing.svg


Expected results:
Show the modules' list.


Additional info:
It seems to me that the modules list procedure interprets the content of /usr/lib/python2.5/site-packages/uniconvertor/__init__.py (more specifically lines from 48 to 51).
Comment 1 Andy Shevchenko 2009-02-08 14:09:02 EST
I've informed the mainstream http://sk1project.org/forum/topic.php?forum=2&topic=62

As I think the problem has at least one workaround which I'll try a little bit later.

Thanks for report.
Comment 2 Andy Shevchenko 2009-02-11 12:34:26 EST
Created attachment 331594 [details]
Patch

Please, try this patch.
Smoke test is ok for me.

P.S. Don't forget to check how uniconvertor application works.

Thank you!
Comment 3 Matteo Castellini 2009-02-25 06:18:33 EST
I tried the patch and it solves the bug. AFAICT the application works, even though I am not an expert uniconvertor user.
Comment 4 Fedora Update System 2009-03-19 17:47:13 EDT
uniconvertor-1.1.3-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/uniconvertor-1.1.3-5.fc10
Comment 5 Fedora Update System 2009-03-19 17:47:19 EDT
uniconvertor-1.1.3-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/uniconvertor-1.1.3-5.fc9
Comment 6 Fedora Update System 2009-03-20 14:32:21 EDT
uniconvertor-1.1.3-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-20 14:35:43 EDT
uniconvertor-1.1.3-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.